//--------------------------------------------------------------------
//      generate.cpp 
//      ------------ 
//      Main module of the spatio-bitemporal data generator
//
//      Spatio-temporal data generator v 1.0 
//      Copyright(c) 1998-2000, Aalborg University
//

#include "gen.h"
#include <iostream.h>
#ifdef UNIX
  #include <stdlib.h>
#else
  #include <process.h>
#endif

//====================================================================
int main(int argc, char **argv)
{
   cout << endl << "Spatio-Bitemporal Data Generator 1.0 " << endl;

   int ac = 1;

   if (*argv[ac] == '-' && argv[ac][1] == 't') 
   {
      gen_binary = false;
      ac++; 
   }

   if (argc < ac + 1)
   {
      cout << endl << "GENERATOR Error: Parameters file name required" << endl;
      exit (1);
   }

   TParams      params (argv[ac]);
   TGenerator   gen(params);

   gen.Generate();

   return 0;
}
