//--------------------------------------------------------------------
//      random.h 
//      -------- 
//      Random number generation
//
//      Spatio-temporal data generator v 1.0 
//      Copyright(c) 1998-2000, Aalborg University
//

#ifndef __RANDOM_H
#define __RANDOM_H

#include <time.h>
#include <stdlib.h>

inline double rnd () { return (double) rand() / (RAND_MAX+1); }
inline double randomf(double __num) { return rnd() * __num; }

#ifndef __BORLANDC__
inline void randomize(void) { srand((unsigned) time(NULL)); }
inline int  random(int __num)
            { return (int)(rnd()*__num); }
#endif

// normally distributed random number
double randnorm (double mean, double deviation);

#endif



